package com.yeejoin.amos.boot.module.jyjc.biz.config;

import com.baomidou.mybatisplus.annotation.DbType;
import com.baomidou.mybatisplus.extension.plugins.PaginationInterceptor;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration(value="MybatisPlusConfig")
public class MybatisPlusConfigs {

	@Bean
	public  PaginationInterceptor paginationInterceptor()
	{
		PaginationInterceptor paginationInterceptor = new PaginationInterceptor();
		paginationInterceptor.setLimit(50000);
		paginationInterceptor.setDialectType(DbType.POSTGRE_SQL.getDb());
		return paginationInterceptor;
	}
}
